POST TimeSaver/PostEmployeeAttendanceSummaries
Request Information
URI Parameters
None.
Body Parameters
EmployeeAttendanceSummary| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteShiftID | globally unique identifier |
None. |
|
| QueryCategoryID | globally unique identifier |
None. |
|
| AttendanceDate | date |
Required |
|
| Hours | integer |
Required |
|
| Minutes | integer |
Required |
|
| Seconds | integer |
Required |
|
| HoursWorked | decimal number |
Required |
|
| TotalBreakMinutes | decimal number |
Required |
|
| DecisionID | DecisionType |
Required |
|
| DecisionDate | date |
None. |
|
| DecisionComments | string |
None. |
|
| IsQuery | boolean |
Required |
|
| IsClockedOut | boolean |
Required |
|
| ActualClockInTime | date |
None. |
|
| ThresholdClockInTime | date |
None. |
|
| ActualClockOutTime | date |
None. |
|
| ThresholdClockOutTime | date |
None. |
|
| OvertimeHoursWorked | decimal number |
Required |
|
| OvertimeHours | integer |
Required |
|
| OvertimeMinutes | integer |
Required |
|
| OvertimeSeconds | integer |
Required |
|
| IsOvertime | boolean |
Required |
|
| ApprovedBySecurityGroupUserID | globally unique identifier |
None. |
|
| ApprovedDate | date |
None. |
|
| Notes | string |
None. |
|
| IsConfirmed | boolean |
Required |
|
| ConfirmedDateTime | date |
None. |
|
| ConfirmedBySecurityGroupUserID | globally unique identifier |
None. |
|
| UnprocessedScans | boolean |
Required |
|
| RunningCompressedTotalWorked | decimal number |
None. |
|
| CompressedExpectedWeekHours | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "282125db-6f68-47cf-b17b-647cfd42ab02",
"employeeID": "9868b86c-377f-45f1-a614-1b17b16a0f8b",
"siteShiftID": "8a97b240-afb7-417a-99f6-1852e97c6c2a",
"queryCategoryID": "072c937c-f074-4db5-99cd-8780316bbc60",
"attendanceDate": "2026-06-12T22:58:32.8357184+00:00",
"hours": 4,
"minutes": 5,
"seconds": 6,
"hoursWorked": 7.0,
"totalBreakMinutes": 8.0,
"decisionID": 1,
"decisionDate": "2026-06-12T22:58:32.8357184+00:00",
"decisionComments": "sample string 9",
"isQuery": true,
"isClockedOut": true,
"actualClockInTime": "2026-06-12T22:58:32.8357184+00:00",
"thresholdClockInTime": "2026-06-12T22:58:32.8357184+00:00",
"actualClockOutTime": "2026-06-12T22:58:32.8357184+00:00",
"thresholdClockOutTime": "2026-06-12T22:58:32.8357184+00:00",
"overtimeHoursWorked": 12.0,
"overtimeHours": 13,
"overtimeMinutes": 14,
"overtimeSeconds": 15,
"isOvertime": true,
"approvedBySecurityGroupUserID": "6c2d7df8-3cb6-470c-96cf-bc655fdd1459",
"approvedDate": "2026-06-12T22:58:32.8357184+00:00",
"notes": "sample string 17",
"isConfirmed": true,
"confirmedDateTime": "2026-06-12T22:58:32.8357184+00:00",
"confirmedBySecurityGroupUserID": "1c499b05-1c76-4ccb-93b2-7eaadfcfffd1",
"unprocessedScans": true,
"runningCompressedTotalWorked": 1.0,
"compressedExpectedWeekHours": 1.0
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.